import React, { useEffect, useRef, useState } from "react";
import Database from "../../../../Components/common/Database";
import { wait } from "../../../../Components/common/commonFunctions";
import {
  StyleSheet,
  View,
  Image,
  Text,
  StatusBar,
  NativeModules,
  DeviceEventEmitter,
  PermissionsAndroid,
  BackHandler,
} from "react-native";
import {
  SCREEN_HEIGHT,
  SCREEN_WIDTH,
  image_pose_blur,
  image_pose_dark,
  image_pose_wrong,
  VIDEO_TITLE_HN,
  VIDEO_TITLE,
  RC_BOOK,
  RC_BOOK_HN,
  SELFI_IMAGE_HN,
  SELFI_IMAGE,
} from "../common/Constants";
import { translate } from "react-native-digitcamera/src/common/localize/i18n";
import Orientation from "../../../react-native-orientation";
import { TouchableOpacity } from "react-native-gesture-handler";
import RNFetchBlob from "rn-fetch-blob";
import { SELFSURVEYSERVICE_DOCUMENT_URL } from "../Api/ApiUrls";
import ViewShot, { captureRef } from "react-native-view-shot";
import VideoPlayer from "react-native-video-player";
import { poseDetection } from "../common/Services/poseDetection";
import reactotron from "reactotron-react-native";
import { Spinner } from "../common/ThemedComponents";
import NetInfo from "@react-native-community/netinfo";

let realm = Database.getRealm();

import {
  CHASSIS_NUMBER,
  ACTIVITY_TYPE_MOTOR_2W_PRE_INSPECTION_SELF_SURVEY,
  ACTIVITY_TYPE_MOTOR_4W_OD_NB_PRE_INSPECTION_SELF_SURVEY,
  ACTIVITY_TYPE_MOTOR_PRE_INSPECTION_SELF_SURVEY,
  ACTIVITY_TYPE_MOTOR_CVOD_PRE_INSPECTION_SELF_SURVEY,
} from "../common/Constants";
import { chassiesPoseDetetction } from "../common/Services/chassisPoseDetection";
import { useSelector, useDispatch } from "react-redux";
import { async } from "validate.js";
//Global variables
let isBlur = true,
  isDark = true;
var sensorImageDetails = [];
var SensorData;
var mSensorManager = NativeModules.SensorManager;
var accelerometerData = [];
var gyroscopeData = [];
var magnetometerData = [];
var pedometerData = [];
var reTryDataLen = 0;
var message;
var uploadedImageCount = 0;
var ImageClickedCount = 0;

// location from realm
var currentLatitude, currentLongitude;

const PreviewImage = ({ navigation, route }) => {
  const imageref = useRef();
  const [dateAndTime, SetDateAndTime] = useState("");
  const [imageName, SetImageName] = useState("");
  const [finalImagePath, SetFinalImagePath] = useState("");
  const [uploadState, SetUploadState] = useState("");
  const dispatch = useDispatch();
  const RetryImageData = useSelector((state) => state.RetryImageData);
  // const RetryCountData = useSelector((state) => state.RetryCountData);
  const UploadImageData = useSelector((state) => state.UploadImageData);
  const imageClickedCountDetails = useSelector(
    (state) => state.imageClickedCountDetails
  );
  const isLastData = useSelector((state) => state.isLastData);

  var PIVechicleData = realm.objects("PIVechicleData");
  var PIRetryCount = realm.objects("PIRetryCount");
  const [isLoading, setISsLoading] = useState(false);
  const [isInternetConnected, SetIsInternetConnected] = useState(true);

  var activityId = PIVechicleData[0].activityId;
  var activityTypeId = PIVechicleData[0].activityTypeId;
  const {
    ImageData,
    ext,
    DocumentImageName,
    // activityId,
    // activityTypeId,
    webUserId,
    title,
    titleHn,
    subTitle,
    subTitleHn,
    totalSteps,
    stepStencilAssests,
    points,
    image,
    TotalImage,
    currentIndex,
    retryCount,
    licensePlateNumber,
    isLast,
  } = route.params;

  const retake = require("../common/Image/retake.png");
  const proceed = require("../common/Image/proceed.png");

  useEffect(() => {
    var PILocation = realm.objects("PILocation");
    console.log("***************))))))))))))))))))) ************", PILocation);
    currentLatitude = PILocation[0]?.lat;
    currentLongitude = PILocation[0]?.long;

    let netInfoSubscription = NetInfo.addEventListener((state) => {
      if (state.isInternetReachable) {
        SetIsInternetConnected(true);
      } else {
        SetIsInternetConnected(false);
      }
    });
    getTime();
    Orientation.lockToLandscapeLeft();
    checkStoragePermission();

    // disabled back handler
    const backHandler = BackHandler.addEventListener(
      "hardwareBackPress",
      () => {
        return true;
      }
    );

    return () => {
      backHandler.remove();
    };
  }, []);

  const checkStoragePermission = async () => {
    const grantedSorage = await PermissionsAndroid.request(
      PermissionsAndroid.PERMISSIONS.WRITE_EXTERNAL_STORAGE
    );
  };
  // for gatting time
  const getTime = () => {
    const date = new Date().getDate();
    const month = new Date().getMonth() + 1;
    const year = new Date().getFullYear();

    //Time calulation for the display on preciew Screen
    const hour = new Date().getHours();
    const minute = new Date().getMinutes();
    const seconds = new Date().getSeconds();
    SetDateAndTime(
      date +
        "/" +
        month +
        "/" +
        year +
        " - " +
        hour +
        ":" +
        minute +
        ":" +
        seconds
    );
  };

  // // capcture sensor data
  // const startCapturingSensorData = () => {
  //   //Accelerometer
  //   mSensorManager.startAccelerometer(100); // To start the accelerometer with a minimum delay of 100ms between events.
  //   DeviceEventEmitter.addListener("Accelerometer", function (data) {
  //     (data.timestamp = new Date().getTime()), accelerometerData.push(data);
  //   });

  //   //Gyroscope
  //   mSensorManager.startGyroscope(100);
  //   DeviceEventEmitter.addListener("Gyroscope", function (data) {
  //     (data.timestamp = new Date().getTime()), gyroscopeData.push(data);
  //   });

  //   //Magnetometer
  //   mSensorManager.startMagnetometer(100);
  //   DeviceEventEmitter.addListener("Magnetometer", function (data) {
  //     (data.timestamp = new Date().getTime()), magnetometerData.push(data);
  //   });

  //   //Pedometer
  //   mSensorManager.startStepCounter(1000);
  //   DeviceEventEmitter.addListener("StepCounter", function (data) {
  //     (data.timestamp = new Date().getTime()), pedometerData.push(data);
  //   });
  // };

  // // genrate sensor data
  // const genrateSensorFile = () => {
  //   const date = new Date().getDate();
  //   const month = new Date().getMonth() + 1;
  //   const year = new Date().getFullYear();

  //   //Time calulation for the display on preciew Screen
  //   const hour = new Date().getHours();
  //   const minute = new Date().getMinutes();
  //   const seconds = new Date().getSeconds();

  //   SensorData = {
  //     activity_id: activityId,
  //     activity_type: activityTypeId,
  //     date_time:
  //       year +
  //       " " +
  //       month +
  //       " " +
  //       date +
  //       "  " +
  //       hour +
  //       ":" +
  //       minute +
  //       ":" +
  //       seconds,
  //     imageDetails: sensorImageDetails,
  //     policy_no: "D042578254", // this need to make dynamic
  //     reg_no: "GJ05JN0394", //
  //     sensor_data: {
  //       accelerometers: accelerometerData,
  //       compass: [],
  //       gyroscope: gyroscopeData,
  //       magnetometers: magnetometerData,
  //       millis: new Date().getTime(),
  //       pedometer: pedometerData,
  //     },
  //   };
  //   const filename = activityId + "_" + "Sensor.json";
  //   const destPath = RNFetchBlob.fs.dirs.CacheDir + "/" + filename;
  //   RNFetchBlob.fs
  //     .writeFile(destPath, JSON.stringify(SensorData, null, "  "), "utf8")
  //     .then((data) => {
  //       uploadSensorData("file://" + destPath);
  //       RNFetchBlob.fs.exists(destPath).then((data) => {
  //         console.log("IS EXIST  >> ", data);
  //       });
  //     })
  //     .catch((e) => {
  //       console.log("ERROR    ", e);
  //     });

  //   // stop capture data once all photo completed
  //   mSensorManager.stopAccelerometer();
  //   mSensorManager.stopStepCounter();
  //   mSensorManager.stopMagnetometer();
  //   mSensorManager.stopGyroscope();

  //   //  navigate to Progress you screen
  //   navigation.navigate("Progress", { TotalImage });
  // };

  // Navigation functions
  const navigationFunc = (UpdatedRetryData) => {
    console.log("Is last in navigation func ", isLast, reTryDataLen);
    console.log("Retry data ", JSON.stringify(RetryImageData, null, "  "));
    console.log("IS LAST >>>>>>>>>>>>>>>> ", isLast, reTryDataLen);
    var RealmRetryInstructionData = realm.objects("PIOfflineData");
    console.log("RealmRetryInstructionData >>  ", RealmRetryInstructionData);

    setISsLoading(false);
    if (isLast && reTryDataLen == 0 && isInternetConnected) {
      console.log("FLOW COMPLETED AND IMAGE UPLOADED");
      realm.write(() => {
        realm.delete(realm.objects("PIOfflineData"));
        realm.create("PIOfflineData", {
          retryImageData: !!RetryImageData
            ? JSON.stringify(RetryImageData)
            : "",
        });
      });
      var RealmRetryInstructionData = realm.objects("PIOfflineData");
      console.log(
        " LOG REalm DATA  navigatind to Progrees ",
        RealmRetryInstructionData
      );
      navigation.navigate("Progress", {
        TotalImage,
        activityId,
        activityTypeId,
        licensePlateNumber,
      });

      // genrateSensorFile();
    } else {
      if (isLast && reTryDataLen != 0) {
        console.log(
          "INCORRECT IMAGES TRIGGERD ON LAST IMAGE IS LAST > ",
          isLast
        );
        realm.write(() => {
          realm.delete(realm.objects("PIOfflineData"));
          realm.create("PIOfflineData", {
            retryImageData: !!RetryImageData
              ? JSON.stringify(RetryImageData)
              : "",
          });
        });
        navigation.navigate("InCorrectImages");
      } else {
        console.log("IMAGE PENDING TO CAPTURE > ");
        if (title == RC_BOOK || titleHn == RC_BOOK_HN) {
          navigation.navigate("PI", { photo: "", isRCBook: true });
        } else {
          navigation.navigate("PI");
        }
      }
    }
  };

  //CALL CHASSIS POSE DETECTION
  const callChassisPoseDetection = async (uri) => {
    console.log("URI >>>> ", uri);
    var formdata = new FormData();
    formdata.append("file", {
      uri: uri,
      name: activityId + "_" + DocumentImageName + ext,
      fileName: activityId + "_" + DocumentImageName,
      type: "image/jpeg",
    });
    formdata.append("activityId", activityId);

    const ChassisPoseDetectionData = await chassiesPoseDetetction({
      body: formdata,
    });
    if (
      ChassisPoseDetectionData?.match_ratio >
      ChassisPoseDetectionData?.threshold_match_ratio
    ) {
      uploadImage(uri);

      //adding sensor data
      sensorImageDetails.push({
        attemptCount: PIRetryCount[0]?.retryCount + 1,
        fileName: activityId + "_" + DocumentImageName + ".jpg",
        latitude: currentLatitude,
        longitude: currentLongitude,
        pose: DocumentImageName,
        success: true,
        timestamp: new Date().getTime(),
      });
      dispatch({
        type: "SENSOR_DETAILS",
        payload: sensorImageDetails,
      });
      dispatch({
        type: "REMOVE_BY_TITLE",
        payload: title,
      });
    } else {
      if (PIRetryCount[0]?.retryCount >= 2) {
        //upload and navigate to thank you screen
        uploadImage(uri);

        //adding sensor data
        sensorImageDetails.push({
          attemptCount: PIRetryCount[0]?.retryCount + 1,
          fileName: activityId + "_" + DocumentImageName + ".jpg",
          latitude: currentLatitude,
          longitude: currentLongitude,
          pose: DocumentImageName,
          success: true,
          timestamp: new Date().getTime(),
        });
        dispatch({
          type: "SENSOR_DETAILS",
          payload: sensorImageDetails,
        });

        dispatch({
          type: "REMOVE_BY_TITLE",
          payload: title,
        });

        if (isLast) {
          navigationFunc();
        }
      } else {
        //adding sensor data
        sensorImageDetails.push({
          attemptCount: PIRetryCount[0]?.retryCount + 1,
          fileName: activityId + "_" + DocumentImageName + ".jpg",
          latitude: currentLatitude,
          longitude: currentLongitude,
          pose: DocumentImageName,
          success: true,
          timestamp: new Date().getTime(),
        });

        dispatch({
          type: "SENSOR_DETAILS",
          payload: sensorImageDetails,
        });

        //add data to redux
        saveRetryDataInRedux(uri);

        if (isLast) {
          navigationFunc();
        }
      }
    }
  };

  // POSE DETECTION API CALL
  const callPoseDetection = async (uri) => {
    var formdata = new FormData();
    formdata.append("file", {
      uri: uri,
      name: activityId + "_" + DocumentImageName + ext,
      fileName: activityId + "_" + DocumentImageName,
      type: "image/jpeg",
    }),
      formdata.append("policyNumber", licensePlateNumber),
      formdata.append("activityTypeId", activityTypeId),
      formdata.append("checkQuality", true),
      formdata.append("source", "DIGITEDGE");

    const poseDetectionData = await poseDetection({
      body: formdata,
    });
    isBlur = poseDetectionData?.image_pose_array[0]?.is_blurred;
    isDark = poseDetectionData?.image_pose_array[0]?.is_dark;

    console.log("isBlur", isBlur);
    console.log("isDark", isDark);
    if (!isBlur && !isDark) {
      message = image_pose_blur + " " + image_pose_dark;
    } else {
      if (isDark) message = image_pose_dark;
      if (isBlur) message = image_pose_blur;
      if (!isDark && !isBlur) message = image_pose_wrong;
    }

    if (!isBlur && !isDark) {
      //if image is good then excute this block
      // upload image
      uploadImage(uri);
      //create sensor data ==> if image is uploaded
      sensorImageDetails.push({
        attemptCount: PIRetryCount[0]?.retryCount + 1,
        fileName: activityId + "_" + DocumentImageName + ".jpg",
        latitude: currentLatitude,
        longitude: currentLongitude,
        pose: DocumentImageName,
        success: true,
        timestamp: new Date().getTime(),
      });

      dispatch({
        type: "SENSOR_DETAILS",
        payload: sensorImageDetails,
      });
      console.log("IN if");
    } else {
      //create sensor data ==> if image not  uploaded
      console.log(
        "EEEEEEEEEEEEEEEEEEEEEEE",
        activityId + "_" + DocumentImageName + ".jpg"
      );

      sensorImageDetails.push({
        attemptCount: PIRetryCount[0]?.retryCount + 1,
        fileName: activityId + "_" + DocumentImageName + ".jpg",
        latitude: currentLatitude,
        longitude: currentLongitude,
        pose: DocumentImageName,
        success: false,
        timestamp: new Date().getTime(),
      });

      dispatch({
        type: "SENSOR_DETAILS",
        payload: sensorImageDetails,
      });

      // GO FOR RE-TRY
      //save the details to redux
      if (PIRetryCount[0]?.retryCount >= 2) {
        // upload image without pose detection
        uploadImage(uri);
      } else {
        // try two time to upload image
        saveRetryDataInRedux(uri);
        if (isLast) {
          navigationFunc();
        }
      }
    }
  };

  //upload images
  const uploadImage = (uri) => {
    console.log("In Upload Uploading Image Name ", DocumentImageName);
    console.log("IMAGE NAME  ", activityId + "_" + DocumentImageName + ext);
    const xhr = new XMLHttpRequest();
    const formData = new FormData();
    console.log("IMAGE URI TO BE UPLOADED > > >   ", uri);
    const handleProgress = (event) => {
      reactotron.log(Math.round(event.loaded * 100) / event.total);
    };
    const documentUploadData = {
      activityId: activityId,
      geoLocation: {
        isBlocked: "",
        deviceName: "",
        latitude: "",
        longitude: "",
        operatingSystem: "",
        timezone: "",
        deviceTime: null,
        ipAddress: "",
        deviceIMEI: "",
        macAddress: "",
      },
      isLast: "false",
      isLastDocument: "false",
    };

    formData.append("file", {
      uri: uri,
      type: "image/jpeg",
      fileName: activityId + "_" + DocumentImageName,
      name: activityId + "_" + DocumentImageName + ext,
    });
    formData.append("documentData", JSON.stringify(documentUploadData));

    xhr.upload.addEventListener("progress", handleProgress);
    xhr.addEventListener("load", () => {
      reactotron.log("   >>>   100 ", xhr.response);
      console.log("Uploaded");
      console.log("IMAGE STATUS  > > >", xhr.response);

      uploadedImageCount = uploadedImageCount + 1;
      dispatch({
        type: "UPLOAD_IMAGE",
        payload: {
          uploadImageInfo: {
            uploadImageCount: uploadedImageCount,
          },
        },
      });
    });
    {
      console.log(
        "Upload Count From Redux",
        JSON.stringify(UploadImageData.uploadImageInfo, null, "  ")
      );
    }
    xhr.addEventListener("abort", () => {
      saveRetryDataInRedux(uri);
    });
    xhr.addEventListener("error", () => {
      saveRetryDataInRedux(uri);
    });
    xhr.addEventListener("timeout", () => {
      saveRetryDataInRedux(uri);
    });
    xhr.open("POST", SELFSURVEYSERVICE_DOCUMENT_URL);
    xhr.setRequestHeader(
      "Accept",
      "*/*",
      "Content-Type",
      "multipart/form-data"
    );
    xhr.send(formData);
    navigationFunc();
  };

  // create image with info
  const createImageWithName = async () => {
    if (title == VIDEO_TITLE || titleHn == VIDEO_TITLE_HN) {
      if (isInternetConnected) {
        uploadImage(ImageData);
      } else {
        saveRetryDataInRedux(ImageData);
      }
    } else {
      try {
        await captureRef(imageref, {
          format: "jpg",
          quality: 0.8,
        }).then(
          (uri) => {
            console.log(
              "QQQQQQQQQQQQ",
              CHASSIS_NUMBER,
              ACTIVITY_TYPE_MOTOR_PRE_INSPECTION_SELF_SURVEY,
              activityTypeId,
              activityTypeId == ACTIVITY_TYPE_MOTOR_PRE_INSPECTION_SELF_SURVEY,
              typeof ACTIVITY_TYPE_MOTOR_PRE_INSPECTION_SELF_SURVEY,
              typeof activityTypeId
            );
            SetFinalImagePath(uri);
            if (
              title == SELFI_IMAGE ||
              titleHn == SELFI_IMAGE_HN ||
              activityTypeId ==
                ACTIVITY_TYPE_MOTOR_CVOD_PRE_INSPECTION_SELF_SURVEY // for CV
            ) {
              if (isInternetConnected) {
                uploadImage(uri);
              } else {
                saveRetryDataInRedux(uri);
              }
              reactotron.log("IN SELFI");
            } else {
              if (DocumentImageName === CHASSIS_NUMBER) {
                // call API for chassies number pose detection
                if (isInternetConnected) {
                  callChassisPoseDetection(uri);
                } else {
                  saveRetryDataInRedux(uri);
                }
              } else if (
                activityTypeId ==
                ACTIVITY_TYPE_MOTOR_2W_PRE_INSPECTION_SELF_SURVEY // for 2W
              ) {
                console.log("called from 2W Image Creation");
                // call APi for pose detection for 2W
                if (isInternetConnected) {
                  callPoseDetection(uri);
                } else {
                  saveRetryDataInRedux(uri);
                }
              } else if (
                activityTypeId ==
                  ACTIVITY_TYPE_MOTOR_PRE_INSPECTION_SELF_SURVEY ||
                activityTypeId == "5" ||
                activityTypeId ==
                  ACTIVITY_TYPE_MOTOR_4W_OD_NB_PRE_INSPECTION_SELF_SURVEY
              ) {
                // call API for 4W pose detection
                if (isInternetConnected) {
                  callPoseDetection(uri);
                } else {
                  saveRetryDataInRedux(uri);
                }
              }
            }
          },

          (error) => console.error("Oops, snapshot failed", error)
        );
      } catch (err) {}
    }
  };

  const saveRetryDataInRedux = (uri) => {
    console.log("URI in saveRetryDataInRedux() =>", uri);
    //add data to redux
    dispatch({
      type: "RETRY_IMAGES",
      payload: {
        retryImageInfo: {
          imageName: DocumentImageName,
          imagePath: uri,
          fileNameWithExt: activityId + "_" + DocumentImageName + ext,
          fileName: activityId + "_" + DocumentImageName,
          title: title,
          subTitle: subTitle,
          titleHn: titleHn,
          subTitleHn: subTitleHn,
          msg: message,
          stepStencilAssests,
          points,
          image,
          uploaded: false,
        },
      },
    });
    let tempArray = RetryImageData;
    tempArray.retryImageInfo.push({
      imageName: DocumentImageName,
      imagePath: uri,
      fileNameWithExt: activityId + "_" + DocumentImageName + ext,
      fileName: activityId + "_" + DocumentImageName,
      title: title,
      subTitle: subTitle,
      titleHn: titleHn,
      subTitleHn: subTitleHn,
      msg: message,
      stepStencilAssests,
      points,
      image,
      uploaded: false,
    });
    console.log("111111111111111111", tempArray);
    if (isLast) {
      navigationFunc(tempArray);
    }
    tempArray = {};
  };

  // retry redux length
  const callRetrayDataCount = () => {
    reTryDataLen = RetryImageData.retryImageInfo.length;
    console.log("REDUX LEN >", reTryDataLen);
  };
  return (
    <View style={styles.main}>
      <Spinner loading={false} />
      {callRetrayDataCount()}
      <StatusBar hidden={true} />
      {/* Image View */}
      <View style={styles.imageView}>
        {/* Image */}
        {title == VIDEO_TITLE || title == VIDEO_TITLE_HN ? (
          <VideoPlayer
            video={{ uri: ImageData }}
            pauseOnPress={true}
            autoplay={true}
            disableSeek={true}
            // style={styles.productImageStyle}
          ></VideoPlayer>
        ) : (
          <ViewShot ref={imageref}>
            <View>
              <Image
                source={{ uri: ImageData.uri }}
                style={{
                  width: SCREEN_HEIGHT,
                  height: SCREEN_WIDTH - 50,
                  resizeMode: "contain",
                  alignSelf: "center",
                }}
              />
              {/* info Strip */}
              <View style={styles.infoTextView}>
                <Text style={styles.infoText}>
                  {translate("Lat:") +
                    " " +
                    currentLatitude +
                    "  " +
                    translate("Lon:") +
                    "  " +
                    currentLongitude +
                    "  " +
                    "    |    " +
                    "Digit App" +
                    "    |    " +
                    dateAndTime}
                </Text>
              </View>
            </View>
          </ViewShot>
        )}
      </View>
      {/* Button View */}
      <View style={styles.buttonView}>
        {/* Retake View */}
        <View style={styles.retakeView}>
          <TouchableOpacity
            onPress={() => {
              navigation.navigate("Camera");
            }}
          >
            <Image
              source={retake}
              style={{ width: 18, height: 18, alignSelf: "center" }}
            />
            <Text style={styles.retakeText}>{translate("Retake")}</Text>
          </TouchableOpacity>
        </View>
        {/* Proceed View */}
        <View style={styles.proceedView}>
          <TouchableOpacity
            onPress={() => {
              setISsLoading(true);
              createImageWithName();
              if (!isLast) {
                navigationFunc();
              } else if (
                title == SELFI_IMAGE ||
                titleHn == SELFI_IMAGE_HN ||
                activityTypeId ==
                  ACTIVITY_TYPE_MOTOR_CVOD_PRE_INSPECTION_SELF_SURVEY
              ) {
                navigationFunc();
              }
              if (PIRetryCount[0]?.retryCount == 0) {
                ImageClickedCount = ImageClickedCount + 1;
                dispatch({
                  type: "IMAGE_CLICKED_COUNT",
                  payload: {
                    totalImageClicked: {
                      ImageClickedCount: ImageClickedCount,
                    },
                  },
                });
              }
              console.log(
                "From Reducer imageClickedCountDetails",
                imageClickedCountDetails
              );
            }}
          >
            <Image
              source={proceed}
              style={{ width: 49, height: 49, alignSelf: "center" }}
            />
            <Text style={styles.retakeText}>{translate("Proceed")}</Text>
          </TouchableOpacity>
        </View>
        {/* Blank View */}
        <View style={styles.blankView}></View>
      </View>
    </View>
  );
};
export default PreviewImage;

const styles = StyleSheet.create({
  main: {
    flex: 1,
    flexDirection: "row",
  },
  buttonView: {
    flex: 0.1,
    backgroundColor: "#000000",
  },
  imageView: {
    flex: 0.9,
    alignSelf: "center",
  },
  retakeView: {
    flex: 0.333333,
    justifyContent: "center",
  },
  proceedView: {
    flex: 0.333333,
    justifyContent: "center",
  },
  blankView: {
    flex: 0.3333333,
  },
  retakeText: {
    fontFamily: "Muli-Regular",
    fontSize: 11,
    alignSelf: "center",
    marginTop: 5,
    color: "#FFFFFF",
  },
  infoTextView: {
    // flex:0.1,
    position: "absolute",
    width: SCREEN_HEIGHT,
    height: 48,
    backgroundColor: "#000000",
    opacity: 0.58,
    justifyContent: "center",
  },
  infoText: {
    fontFamily: "Muli-SemiBold",
    fontSize: 14,
    color: "#FFFFFF",
    marginLeft: 24,
    marginRight: 24,
  },
});
